POST
/
api
/
v1
/
admin
/
simulation
/
team-drills
/
experiments
Create Team Intervention Experiment
curl --request POST \
  --url https://api.jobsim.work/api/v1/admin/simulation/team-drills/experiments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "drill_id": "<string>",
  "organization_id": "<string>",
  "hypothesis": "<string>",
  "scenario_name": "<string>",
  "status": "<string>",
  "control_session_ids": [
    "<string>"
  ],
  "intervention_session_ids": [
    "<string>"
  ],
  "assignment_ids": [
    "<string>"
  ],
  "start_at": "2023-11-07T05:31:56Z",
  "end_at": "2023-11-07T05:31:56Z",
  "metadata": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request payload to create an intervention experiment.

name
string
required
drill_id
string
required
organization_id
string | null
hypothesis
string | null
scenario_name
string | null
status
string | null
control_session_ids
string[]
intervention_session_ids
string[]
assignment_ids
string[]
start_at
string<date-time> | null
end_at
string<date-time> | null
metadata
Metadata · object

Response

Successful Response